> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/docs/additional-integrations/identity-providers/syncing-idp-user-attributes-with-apono.md).

# Syncing IdP user attributes with Apono

## Overview

Apono integrates with your IdP to continuously sync data about users and groups.

In addition, you may request your Apono representative to sync any user attribute that is a string.

## How it works

Apono leverages its API-based connection to retrieve any string user values, including custom fields.

Send your Apono representative the following information:

1. **Attribute type** - what you would like Apono to display in the UI, chat-ops tools, CLI, Terraform, and API.
2. **Attribute path** - a unique identifier of the field in your IdP, the attribute endpoint in the API

### Example - OpsGenie

`{ "user_additional_attributes_mapping": [ { "attribute_path": "$.role.name", "attribute_type": "genie_role" } ] }`

This example will fetch each user's OpsGenie role and label it "Genie Role".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apono.io/docs/additional-integrations/identity-providers/syncing-idp-user-attributes-with-apono.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
